summaryrefslogtreecommitdiffstats
path: root/debian/postrm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 18:09:05 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 18:09:05 +0000
commitca60a76df5ae992d4e32a15d1ce34e02ca357198 (patch)
treebce7bbfbcb57785f417eb17f7bda0a8004495143 /debian/postrm
parentAdding upstream version 3.38.4. (diff)
downloadgnome-initial-setup-ca60a76df5ae992d4e32a15d1ce34e02ca357198.tar.xz
gnome-initial-setup-ca60a76df5ae992d4e32a15d1ce34e02ca357198.zip
Adding debian version 3.38.4-1.debian/3.38.4-1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/postrm')
-rw-r--r--debian/postrm13
1 files changed, 13 insertions, 0 deletions
diff --git a/debian/postrm b/debian/postrm
new file mode 100644
index 0000000..fc83984
--- /dev/null
+++ b/debian/postrm
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = "purge" ] ; then
+ if getent passwd gnome-initial-setup >/dev/null; then
+ if which deluser >/dev/null 2>&1; then
+ deluser --system gnome-initial-setup || echo "Could not remove gnome-initial-setup user."
+ fi
+ fi
+fi
+#DEBHELPER#
+exit 0